import type { InputTypeComposer } from 'graphql-compose';
import { CommonOpts } from '../../utils';
export declare function getAggsITC<TContext>(opts: CommonOpts<TContext>): Array<InputTypeComposer<TContext>>;
export declare type ElasticAggsT = {
    [outputFieldName: string]: ElasticAggsRulesT;
};
export declare type ElasticAggsRulesT = {
    [aggOperationName: string]: any;
    aggs?: ElasticAggsT;
};
export declare type GqlAggBlock = {
    key: string;
    value: GqlAggRules;
};
export declare type GqlAggRules = {
    [aggOperationName: string]: any;
    aggs?: GqlAggBlock[];
};
export declare function prepareAggsInResolve(aggs: GqlAggBlock[], _fieldMap: any): {
    [argName: string]: any;
};
export declare function convertAggsBlocks(blockList: GqlAggBlock[]): ElasticAggsT;
export declare function convertAggsRules(rules: GqlAggRules): ElasticAggsRulesT;
//# sourceMappingURL=Aggs.d.ts.map