"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChildrenITC = void 0;
const utils_1 = require("../../../utils");
function getChildrenITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsChildren', opts);
    const description = (0, utils_1.desc)(`
    A special single bucket aggregation that enables aggregating from buckets
    on parent document types to buckets on child documents.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-children-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            type: 'String',
        },
    }));
}
exports.getChildrenITC = getChildrenITC;
//# sourceMappingURL=Children.js.map