"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFiltersITC = void 0;
const utils_1 = require("../../../utils");
function getFiltersITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsFilters', opts);
    const description = (0, utils_1.desc)(`
    Defines a multi bucket aggregation where each bucket is associated
    with a filter. Each bucket will collect all documents that match
    its associated filter.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-filters-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            filters: 'JSON',
            other_bucket: 'Boolean',
            other_bucket_key: 'String',
        },
    }));
}
exports.getFiltersITC = getFiltersITC;
//# sourceMappingURL=Filters.js.map