"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGlobalITC = void 0;
const utils_1 = require("../../../utils");
function getGlobalITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsGlobal', opts);
    const description = (0, utils_1.desc)(`
    Defines a single bucket of all the documents within the search execution
    context. This context is defined by the indices and the document types
    you’re searching on, but is not influenced by the search query itself.
    Should have empty body, without fields, eg. \`global: {}\`
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-global-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            _without_fields_: 'JSON',
        },
    }));
}
exports.getGlobalITC = getGlobalITC;
//# sourceMappingURL=Global.js.map