"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIpRangeITC = void 0;
const utils_1 = require("../../../utils");
const Ip_1 = require("../../Commons/Ip");
const FieldNames_1 = require("../../Commons/FieldNames");
function getIpRangeITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsIpRange', opts);
    const description = (0, utils_1.desc)(`
    A range aggregation that is dedicated for IP values.
    Note that this aggregation includes the \`from\` value and excludes the
    \`to\` value for each range.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-iprange-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getIpFields)(opts),
            ranges: () => [(0, Ip_1.getIpRangeTypeITC)(opts)],
        },
    }));
}
exports.getIpRangeITC = getIpRangeITC;
//# sourceMappingURL=IpRange.js.map