"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMissingITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getMissingITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsMissing', opts);
    const description = (0, utils_1.desc)(`
    A field data based single bucket aggregation, that creates a bucket of all
    documents in the current document set context that are missing a field
    value (effectively, missing a field or having the configured NULL value set).
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-missing-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getAllFields)(opts),
        },
    }));
}
exports.getMissingITC = getMissingITC;
//# sourceMappingURL=Missing.js.map