"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNestedITC = void 0;
const utils_1 = require("../../../utils");
function getNestedITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsNested', opts);
    const description = (0, utils_1.desc)(`
    A special single bucket aggregation that enables aggregating nested documents.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-nested-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            path: 'String',
        },
    }));
}
exports.getNestedITC = getNestedITC;
//# sourceMappingURL=Nested.js.map