"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReverseNestedITC = void 0;
const utils_1 = require("../../../utils");
function getReverseNestedITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsReverseNested', opts);
    const description = (0, utils_1.desc)(`
    A special single bucket aggregation that enables aggregating on parent docs
    from nested documents.
    The \`reverse_nested\` aggregation must be defined inside a \`nested\` aggregation.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-reverse-nested-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            path: 'String',
        },
    }));
}
exports.getReverseNestedITC = getReverseNestedITC;
//# sourceMappingURL=ReverseNested.js.map