"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSamplerITC = void 0;
const utils_1 = require("../../../utils");
function getSamplerITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsSampler', opts);
    const description = (0, utils_1.desc)(`
    A filtering aggregation used to limit any sub aggregations' processing
    to a sample of the top-scoring documents.
    Tightening the focus of analytics to high-relevance matches rather than
    the potentially very long tail of low-quality matches.
    This functionality is experimental and may be changed or removed completely.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-sampler-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            shard_size: 'Int',
        },
    }));
}
exports.getSamplerITC = getSamplerITC;
//# sourceMappingURL=Sampler.js.map