"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSignificantTermsITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getSignificantTermsITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsSignificantTerms', opts);
    const description = (0, utils_1.desc)(`
    An aggregation that returns interesting or unusual occurrences of terms in a set.
    The significant_terms aggregation can be very heavy when run on large indices.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-bucket-significantterms-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getAllFields)(opts),
            min_doc_count: 'Int',
            background_filter: 'JSON',
            execution_hint: 'String',
        },
    }));
}
exports.getSignificantTermsITC = getSignificantTermsITC;
//# sourceMappingURL=SignificantTerms.js.map