"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGeoBoundsITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getGeoBoundsITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsGeoBounds', opts);
    const description = (0, utils_1.desc)(`
    A metric aggregation that computes the bounding box containing
    all geo_point values for a field.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-metrics-geobounds-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getGeoPointFields)(opts),
            wrap_longitude: 'Boolean',
        },
    }));
}
exports.getGeoBoundsITC = getGeoBoundsITC;
//# sourceMappingURL=GeoBounds.js.map