"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGeoCentroidITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getGeoCentroidITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsGeoCentroid', opts);
    const description = (0, utils_1.desc)(`
    A metric aggregation that computes the weighted centroid from all coordinate
    values for a Geo-point datatype field.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-metrics-geocentroid-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getGeoPointFields)(opts),
        },
    }));
}
exports.getGeoCentroidITC = getGeoCentroidITC;
//# sourceMappingURL=GeoCentroid.js.map