"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getScriptedMetricITC = void 0;
const utils_1 = require("../../../utils");
const Script_1 = require("../../Commons/Script");
function getScriptedMetricITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsScriptedMetric', opts);
    const description = (0, utils_1.desc)(`
    A metric aggregation that executes using scripts to provide a metric output.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-metrics-scripted-metric-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            init_script: () => (0, Script_1.getCommonsScriptITC)(opts),
            map_script: () => (0, Script_1.getCommonsScriptITC)(opts),
            combine_script: () => (0, Script_1.getCommonsScriptITC)(opts),
            reduce_script: () => (0, Script_1.getCommonsScriptITC)(opts),
            params: `input ${(0, utils_1.getTypeName)('AggsScriptedMetricParams', opts)} {
          field: String
          _agg: JSON!
        }`,
        },
    }));
}
exports.getScriptedMetricITC = getScriptedMetricITC;
//# sourceMappingURL=ScriptedMetric.js.map