"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCumulativeSumITC = void 0;
const utils_1 = require("../../../utils");
function getCumulativeSumITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsCumulativeSum', opts);
    const description = (0, utils_1.desc)(`
    A parent pipeline aggregation which calculates the cumulative sum of a
    specified metric in a parent histogram (or date_histogram) aggregation.
    The specified metric must be numeric and the enclosing histogram must
    have min_doc_count set to 0 (default for histogram aggregations).
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-cumulative-sum-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            format: 'String',
        },
    }));
}
exports.getCumulativeSumITC = getCumulativeSumITC;
//# sourceMappingURL=CumulativeSum.js.map