"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDerivativeITC = void 0;
const utils_1 = require("../../../utils");
function getDerivativeITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsDerivative', opts);
    const description = (0, utils_1.desc)(`
    A parent pipeline aggregation which calculates the derivative of a specified
    metric in a parent histogram (or date_histogram) aggregation. The specified
    metric must be numeric and the enclosing histogram must have min_doc_count
    set to 0 (default for histogram aggregations).
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-derivative-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            gap_policy: 'String',
            format: 'String',
            unit: 'String',
        },
    }));
}
exports.getDerivativeITC = getDerivativeITC;
//# sourceMappingURL=Derivative.js.map