"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtendedStatsBucketITC = void 0;
const utils_1 = require("../../../utils");
function getExtendedStatsBucketITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsExtendedStatsBucket', opts);
    const description = (0, utils_1.desc)(`
    A sibling pipeline aggregation which calculates a variety of stats across
    all bucket of a specified metric in a sibling aggregation. The specified
    metric must be numeric and the sibling aggregation must be a multi-bucket
    aggregation.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-extended-stats-bucket-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            gap_policy: 'String',
            format: 'String',
            sigma: 'Float',
        },
    }));
}
exports.getExtendedStatsBucketITC = getExtendedStatsBucketITC;
//# sourceMappingURL=ExtendedStatsBucket.js.map