"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMovingAverageITC = void 0;
const utils_1 = require("../../../utils");
function getMovingAverageITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsMovingAverage', opts);
    const description = (0, utils_1.desc)(`
    Given an ordered series of data, the Moving Average aggregation will slide
    a window across the data and emit the average value of that window.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-movavg-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            format: 'String',
            window: 'Int',
            gap_policy: 'String',
            model: 'String',
            settings: 'JSON',
        },
    }));
}
exports.getMovingAverageITC = getMovingAverageITC;
//# sourceMappingURL=MovingAverage.js.map