"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPercentilesBucketITC = void 0;
const utils_1 = require("../../../utils");
function getPercentilesBucketITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsPercentilesBucket', opts);
    const description = (0, utils_1.desc)(`
    A sibling pipeline aggregation which calculates percentiles across all
    bucket of a specified metric in a sibling aggregation. The specified metric
    must be numeric and the sibling aggregation must be a multi-bucket aggregation.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-percentiles-bucket-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            gap_policy: 'String',
            format: 'String',
            percents: '[Float]',
        },
    }));
}
exports.getPercentilesBucketITC = getPercentilesBucketITC;
//# sourceMappingURL=PercentilesBucket.js.map