"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSerialDifferencingITC = void 0;
const utils_1 = require("../../../utils");
function getSerialDifferencingITC(opts) {
    const name = (0, utils_1.getTypeName)('AggsSerialDifferencing', opts);
    const description = (0, utils_1.desc)(`
    Serial differencing is a technique where values in a time series are
    subtracted from itself at different time lags or periods.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-aggregations-pipeline-serialdiff-aggregation.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            buckets_path: 'String!',
            lag: 'String',
            gap_policy: 'String',
            format: 'String',
        },
    }));
}
exports.getSerialDifferencingITC = getSerialDifferencingITC;
//# sourceMappingURL=SerialDifferencing.js.map