"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommonsHdrITC = void 0;
const utils_1 = require("../../utils");
function getCommonsHdrITC(opts) {
    const name = (0, utils_1.getTypeName)('CommonsHDR', opts);
    const description = (0, utils_1.desc)(`
    A High Dynamic Range (HDR) Histogram.
    [Documentation](https://github.com/HdrHistogram/HdrHistogram)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            number_of_significant_value_digits: 'Int',
        },
    }));
}
exports.getCommonsHdrITC = getCommonsHdrITC;
//# sourceMappingURL=HDR.js.map