"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIpRangeTypeITC = void 0;
const utils_1 = require("../../utils");
function getIpRangeTypeITC(opts) {
    const name = (0, utils_1.getTypeName)('IpRangeType', opts);
    const description = (0, utils_1.desc)(`Ip range where \`from\` value includes and \`to\` value excludes.`);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            from: 'String',
            to: 'String',
            mask: {
                type: 'String',
                description: 'IP ranges can also be defined as CIDR masks 10.0.0.127/25',
            },
        },
    }));
}
exports.getIpRangeTypeITC = getIpRangeTypeITC;
//# sourceMappingURL=Ip.js.map