"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommonsScriptITC = void 0;
const utils_1 = require("../../utils");
function getCommonsScriptITC(opts) {
    const name = (0, utils_1.getTypeName)('CommonsScript', opts);
    const description = (0, utils_1.desc)(`
    The scripting module enables you to use scripts to evaluate custom expressions.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/modules-scripting.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            lang: 'String!',
            inline: 'String!',
            params: 'JSON',
            file: 'String',
        },
    }));
}
exports.getCommonsScriptITC = getCommonsScriptITC;
//# sourceMappingURL=Script.js.map