"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMatchITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getMatchITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryMatch', opts);
    const description = (0, utils_1.desc)(`
    Match Query accept text/numerics/dates, analyzes them, and constructs a query.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-match-query.html)
  `);
    const subName = (0, utils_1.getTypeName)('QueryMatchSettings', opts);
    const fields = (0, FieldNames_1.getAnalyzedAsFieldConfigMap)(opts, opts.getOrCreateITC(subName, () => ({
        name: subName,
        fields: {
            query: 'String',
            operator: 'String',
            zero_terms_query: 'String',
            cutoff_frequency: 'Float',
            boost: 'Float',
        },
    })));
    if (typeof fields === 'object') {
        return opts.getOrCreateITC(name, () => ({
            name,
            description,
            fields,
        }));
    }
    return {
        type: 'JSON',
        description,
    };
}
exports.getMatchITC = getMatchITC;
//# sourceMappingURL=Match.js.map