"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHasParentITC = void 0;
const Query_1 = require("../Query");
const utils_1 = require("../../../utils");
function getHasParentITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryHasParent', opts);
    const description = (0, utils_1.desc)(`
    The has_parent query accepts a query and a parent type. The query is executed
    in the parent document space, which is specified by the parent type
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-has-parent-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            parent_type: 'String',
            query: () => (0, Query_1.getQueryITC)(opts),
            score: 'Boolean',
            ignore_unmapped: 'Boolean',
        },
    }));
}
exports.getHasParentITC = getHasParentITC;
//# sourceMappingURL=HasParent.js.map