"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParentIdITC = void 0;
const utils_1 = require("../../../utils");
function getParentIdITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryParentId', opts);
    const description = (0, utils_1.desc)(`
    The parent_id query can be used to find child documents
    which belong to a particular parent.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-parent-id-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            type: 'String',
            id: 'String',
            ignore_unmapped: 'Boolean',
        },
    }));
}
exports.getParentIdITC = getParentIdITC;
//# sourceMappingURL=ParentId.js.map