"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getScriptITC = void 0;
const utils_1 = require("../../../utils");
const Script_1 = require("../../Commons/Script");
function getScriptITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryScript', opts);
    const description = (0, utils_1.desc)(`
    A query allowing to define scripts as queries. They are typically used in a filter context.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-script-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            script: { type: () => (0, Script_1.getCommonsScriptITC)(opts) },
        },
    }));
}
exports.getScriptITC = getScriptITC;
//# sourceMappingURL=Script.js.map