"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExistsITC = void 0;
const utils_1 = require("../../../utils");
const FieldNames_1 = require("../../Commons/FieldNames");
function getExistsITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryExists', opts);
    const description = (0, utils_1.desc)(`
    Returns documents that have at least one non-null value in the original field.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-exists-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            field: (0, FieldNames_1.getAllFields)(opts),
        },
    }));
}
exports.getExistsITC = getExistsITC;
//# sourceMappingURL=Exists.js.map