"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIdsITC = void 0;
const utils_1 = require("../../../utils");
function getIdsITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryIds', opts);
    const description = (0, utils_1.desc)(`
    Filters documents that only have the provided ids.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-ids-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            type: 'String!',
            values: '[String]!',
        },
    }));
}
exports.getIdsITC = getIdsITC;
//# sourceMappingURL=Ids.js.map