"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSearchHitItemTC = void 0;
const utils_1 = require("../utils");
function getSearchHitItemTC(opts) {
    const name = (0, utils_1.getTypeName)('SearchHitItem', opts);
    return opts.getOrCreateOTC(name, () => ({
        name,
        fields: {
            _index: 'String',
            _type: 'String',
            _id: 'String',
            _score: 'Float',
            _source: opts.sourceTC || 'JSON',
            _shard: {
                type: 'String',
                description: (0, utils_1.desc)(`Use explain API on query`),
            },
            _node: {
                type: 'String',
                description: (0, utils_1.desc)(`Use explain API on query`),
            },
            _explanation: {
                type: 'JSON',
                description: (0, utils_1.desc)(`Use explain API on query`),
            },
            _version: 'Int',
            inner_hits: {
                type: 'JSON',
                description: 'Returns data only if `args.collapse` is provided',
            },
            highlight: {
                type: 'JSON',
                description: 'Returns data only if `args.highlight` is provided',
            },
            sort: 'JSON',
            fields: {
                type: 'JSON',
                description: 'Returns result from `args.opts.body.script_fields`',
            },
        },
    }));
}
exports.getSearchHitItemTC = getSearchHitItemTC;
//# sourceMappingURL=SearchHitItem.js.map