"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSearchOutputTC = void 0;
const utils_1 = require("../utils");
const Shards_1 = __importDefault(require("./Shards"));
const SearchHitItem_1 = require("./SearchHitItem");
function getSearchOutputTC(opts) {
    const name = (0, utils_1.getTypeName)('SearchOutput', opts);
    const nameHits = (0, utils_1.getTypeName)('SearchHits', opts);
    return opts.getOrCreateOTC(name, () => ({
        name,
        fields: {
            took: 'Int',
            timed_out: 'Boolean',
            _shards: (0, Shards_1.default)(opts),
            hits: opts.getOrCreateOTC(nameHits, () => ({
                name: nameHits,
                fields: {
                    total: 'Int',
                    max_score: 'Float',
                    hits: [(0, SearchHitItem_1.getSearchHitItemTC)(opts)],
                },
            })),
            aggregations: 'JSON',
        },
    }));
}
exports.getSearchOutputTC = getSearchOutputTC;
//# sourceMappingURL=SearchOutput.js.map